@echo off

set host=%1

echounix
echounix
echounix
echounix "==== %DATE% %TIME% %host% started ==============================="
set script=fix.sh
set remote_dir=/tmp/fix-files
set remote_script=%remote_dir%/%script%

echo Removing directory %remote_dir%
plink -batch -pw xxxxxx root@%host% rm -frv %remote_dir%
IF %ERRORLEVEL% NEQ 0 GOTO error

echo Creating directory %remote_dir%
plink -batch -pw xxxxxx root@%host% mkdir -pv %remote_dir%
IF %ERRORLEVEL% NEQ 0 GOTO error

echo Transferring files directory to %remote_dir% at %host%
pscp -batch -pw xxxxxx -r files/* root@%host%:%remote_dir%
IF %ERRORLEVEL% NEQ 0 GOTO error

echo Setting %remote_script% permissions
plink -batch -pw xxxxxx root@%host% chmod -v a+x %remote_script%
IF %ERRORLEVEL% NEQ 0 GOTO error

echo Executing %remote_script% at %host%
plink -batch -pw xxxxxx root@%host% cd %remote_dir%; ./%script%
IF %ERRORLEVEL% NEQ 0 GOTO error

echo Removing directory %remote_dir%
plink -batch -pw xxxxxx root@%host% rm -frv %remote_dir%
IF %ERRORLEVEL% NEQ 0 GOTO error

echounix "==== %DATE% %TIME% %host% completed ============================"
echounix


exit /B 0
GOTO end

:error

exit /B 1
:end
